# Upstream returns to 2-digit form repeatedly
%global cpan_version_major 0.31
%global cpan_version_minor 5
%global cpan_version %{cpan_version_major}%{cpan_version_minor}

Name:           perl-KinoSearch
Version:        %{cpan_version_major}%{?cpan_version_minor:.}%{cpan_version_minor}
Release:        8%{?dist}
Epoch:          1
Summary:        Search engine library
# ApacheLicense2.0.txt included is included just becuase the upstream
# author decided to include it and is only for informative purposes.
# We believe that it doesn't apply, since author didn't use any Lucene
# code (according to mail in LICENSING.mbox)
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/KinoSearch/
Source0:        http://www.cpan.org/authors/id/C/CR/CREAMYG/KinoSearch-%{cpan_version}.tar.gz
Source1:        LICENSING.mbox
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Devel::PPPort) >= 3.13
BuildRequires:  perl(Env)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.18
BuildRequires:  perl(ExtUtils::ParseXS) >= 2.16
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Scalar::Util)
# Run-time
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(JSON::XS) >= 1.53
BuildRequires:  perl(Lingua::Stem::Snowball) >= 0.952
BuildRequires:  perl(Lingua::StopWords) >= 0.09
BuildRequires:  perl(XSLoader)
# Tests
BuildRequires:  perl(CGI)
BuildRequires:  perl(constant)
BuildRequires:  perl(Encode)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Data::Dumper)
Requires:       perl(JSON::XS) >= 1.53
Requires:       perl(Lingua::Stem::Snowball) >= 0.952
Requires:       perl(Lingua::StopWords) >= 0.09

%{?perl_default_filter}
# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(JSON::XS\\)$

%description
KinoSearch is a loose port of the Java search engine library Apache Lucene,
written in Perl and C. The archetypal application is website search, but it
can be put to many different uses.

%prep
%setup -q -n KinoSearch-%{cpan_version}
cp %{SOURCE1} LICENSING.mbox

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

rm -f $RPM_BUILD_ROOT/%{perl_vendorarch}/auto/KinoSearch/KinoSearch.bs

%{_fixperms} $RPM_BUILD_ROOT/*


%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README ApacheLicense2.0.txt LICENSING.mbox
%{perl_vendorarch}/*
%{_mandir}/man3/*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 1:0.31.5-5
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1:0.31.5-2
- Perl 5.16 rebuild

* Wed Jun 20 2012 Petr Pisar <ppisar@redhat.com> - 1:0.31.5-1
- 0.315 bump

* Sat Jun 16 2012 Petr Pisar <ppisar@redhat.com> - 1:0.31-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1:0.31-3
- Perl mass rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:0.31-2
- 661697 rebuild for fixing problems with vendorach/lib
- add BR

* Sun Dec 12 2010 Lubomir Rintel <lkundrak@v3.sk> - 1:0.31-1
- BR Time::HiRes to fix el6 build
- Rebase to later version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.165-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.165-1
- Upstream applied our PowerPC patch

* Sun Mar 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.164-1
- Update to 0.164
- Add missing Pod::Coverage BRs (Robert Scheck)
- Fix a PowerPC signedness issue
- Clarify licensing, re-add ApacheLicense2.0.txt

* Sat Feb 14 2009 Ian Burrell <ianburrell@gmail.com> - 0.163-2
- remove empty KinoSearch.bs
- remove ApacheLicense2.0.txt

* Thu Feb 05 2009 Ian Burrell <ianburrell@gmail.com> 0.163-1
- Change to perl_vendorarch
- Remove devel, src from doc
- Specfile autogenerated by cpanspec 1.77.
